<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<script type="text/javascript">


   function añadir(objeto) {

  if (objeto.innerHTML=="C") {
	document.querySelector("#salida").innerHTML="";

  } else {
   	document.querySelector("#salida").innerHTML+=objeto.innerHTML;

	}
}


	</script>

</head>
<body>

	<div onclick="añadir(this)">1</div>
	<div onclick="añadir(this)">2</div>
	<div onclick="añadir(this)">3</div>

	<div id="salida"></div>

	<div onclick="añadir(this)">C</div>


	
</body>
</html>